Bug 1467916 - Nova support for Agilio OVS VIF and VNIC_VIRTIO_FORWARDER
Nova support for Agilio OVS VIF and VNIC_VIRTIO_FORWARDER
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eoghan Glynn
Joe H. Rahme
: FutureFeature
Depends On: 1467914
Blocks: 1467926
  Show dependency treegraph
 
Reported: 2017-07-05 09:49 EDT by Jan Gutter
Modified: 2017-08-09 08:24 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Gutter 2017-07-05 09:49:53 EDT
Preface:

The intention of this bug is to provide insight into a feature proposed by Netronome for inclusion in RHOSP12.

Description:

Work is underway to extend the list of supported VNIC types in OpenStack in order to support a lightweight VF-to-vhostuser virtio proxy. This mechanism would allow a VM to boot with a vhostuser interface where the proxy on the hypervisor does not itself to complex switching.

The key difference between standard vhostuser plugs is that VNIC_VIRTIO_FORWARDER will consume a VF resource. For Nova, the enhancement is to add VNIC_VIRTIO_FORWARDER to the VNIC_TYPES_SRIOV list. This is dependent on BZ1467914.

This provides another plugging method into accelerated and offloaded NICs.

Status:

Patches are in internal testing, RFE+patches will be submitted by 07/07 2017 to Neutron.
Comment 1 Stephen Finucane 2017-07-14 10:08:06 EDT
Just so we can set realistic expectations, it is not likely that the patches required for this feature will make it into os-vif, neutron and nova this late in Pike release cycle. This sounds very much like a Queens/OSP 13.0 feature at this point
Comment 2 Jan Gutter 2017-07-14 12:37:38 EDT
Some excellent help was received from upstream Nova developers in refactoring the original patches. This has resulted in lower impact on Nova.

https://review.openstack.org/#/c/483459/

One final issue remains: the addition of a new VIF type to allow the external Neutron plugin to select the external os-vif plugin. Work in Queens is proposed to eliminate even that, but it is hoped that this VIF type is isolated enough to have minimal impact to the rest of Nova in stability or maintainability.
Comment 3 Jan Gutter 2017-07-20 06:21:55 EDT
The os-vif patches landed and were released at version 1.7.0

https://review.openstack.org/#/c/485366/ is currently in the gate to pull in this new version.
Comment 4 Jan Gutter 2017-07-23 16:40:16 EDT
The os-vif required version was bumped for Nova.

The change to add VIFHostDevice support to libvirt was split off into:
https://review.openstack.org/#/c/486426

This change is independent and should be common to other reviews.
Comment 5 Jan Gutter 2017-07-27 05:18:57 EDT
The patches were merged into mainline Nova.
Comment 6 Jan Gutter 2017-07-28 09:38:57 EDT
The patches were released at Nova version 16.0.0.0b3

Note You need to log in before you can comment on or make changes to this bug.